Upgrading Crowd fails with The object DF_cwd_appliremot_14270015 is dependent on column remote_address_mask

Still need help?

The Atlassian Community is here for you.

Ask the community

Platform Notice: Server and Data Center Only - This article only applies to Atlassian products on the server and data center platforms.

 

Summary

The column from the error was removed in Crowd 2.6 and shouldn't exist in any newer version. This KB will treat a problem where this column wasn't dropped during the upgrade process and errors out.

Environment

Any instance that upgraded Crowd to a version later than 2.6 but the column still exists.



Diagnosis

Upgrading Crowd will show the error in the UI and can be further confirmed by checking the atlassian-crowd.log file for the following error:

2021-06-26 15:23:23 fatal Error while trying to initialise Crowd Container. liquibase.exception.MigrationFailedException: Migration failed for change set liquibase/bootstrap/04_cwd_application.xml::CWD-3017-2::crowd: Reason: liquibase.exception.DatabaseException: The object 'DF_cwd_appliremot_14270015' is dependent on column 'remote_address_mask'. [Failed SQL: ALTER TABLE [dbo].[cwd_application_address] DROP COLUMN [remote_address_mask]]

As seen in  CWD-3017 - Getting issue details... STATUS , this column was removed in version 2.6.

Cause

The column wasn't dropped during the upgrade task.

Solution

Drop the column from the error remote_address_mask and run the upgrade again.

Last modified on Jun 28, 2021

Was this helpful?

Yes
No
Provide feedback about this article
Powered by Confluence and Scroll Viewport.